/*
 *  Copyright © 2018, 2019, Oracle and/or its affiliates. All rights reserved.
 *  This software is dual-licensed to you under the MIT License (MIT) and
 *  the Universal Permissive License (UPL). See the LICENSE file in the root
 *  directory for license terms. You may choose either license, or both.
 */

#import <Foundation/Foundation.h>

//! Project version number for SQLite3Swift.
FOUNDATION_EXPORT double SQLite3SwiftVersionNumber;

//! Project version string for SQLite3Swift.
FOUNDATION_EXPORT const unsigned char SQLite3SwiftVersionString[];

// In this header, you should import all the public headers of your framework using statements like #import <SQLite3Swift/PublicHeader.h>

// HACK - Cannot create a "private" sub module and include it in a swift
// module.

#ifndef PrivateHeader_h
#define PrivateHeader_h

#include <stdio.h>

typedef void(*SQLite3_ErrorCallback)(void*,int,const char*);

extern int _sqlite3_config(int, va_list);
extern int _sqlite3_errorCallback(SQLite3_ErrorCallback callback);

#endif /* PrivateHeader_h */
